## faumachine 20120707

=== driver/Makefile ===
#
# $Id: Makefile,v 1.1 2010-11-29 11:59:30 vrsieh Exp $
#
# Copyright (C) 2010 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

all: fau-camera-adapter.ko fau-camera-adapter-test

ifneq ($(KERNELRELEASE),)
obj-m := fau-camera-adapter.o
else
KDIR := /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

fau-camera-adapter.ko: fau-camera-adapter.c fau-camera-adapter.h
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
endif

fau-camera-adapter-test: fau-camera-adapter-test.c fau-camera-adapter.h
	$(CC) -Wall -o fau-camera-adapter-test fau-camera-adapter-test.c
clean distclean::
	rm -f fau-camera-adapter-test

=== real-dev/Makefile ===
#
# $Id: Makefile,v 1.4 2010-11-08 08:28:08 vrsieh Exp $
#
# Copyright (C) 2010 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

all: faum-dev.ko faum-dev-test

ifneq ($(KERNELRELEASE),)
obj-m := faum-dev.o
else
KDIR := /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

faum-dev.ko: faum-dev.c faum-dev.h
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
endif

faum-dev-test: faum-dev-test.c faum-dev.h
	$(CC) -Wall -o faum-dev-test faum-dev-test.c
clean distclean::
	rm -f faum-dev-test

=== doc/DesignNotes/Makefile ===
#
# $Id: Makefile,v 1.9 2009-11-02 11:46:50 vrsieh Exp $
#
# Copyright (C) 2002-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

PDF=hostsupport.pdf internals.pdf justintime.pdf

all: $(PDF)

clean distclean::
	rm -rf $(PDF)

%.pdf: %.tex
	pdflatex $*.tex < /dev/null
	pdflatex $*.tex < /dev/null
	rm -f $*.aux
	rm -f $*.log
	rm -f $*.toc
clean distclean::
	for file in *.tex ; do \
		rm -f `basename $${file} .tex`.pdf; \
	done

%.png: %.dia
	dia --export $*.png --filter png -s 1024 $*.dia
clean distclean::
	for file in *.dia ; do \
		rm -f `basename $${file} .dia`.png; \
	done

internals.pdf: internals.tex \
		simple.png \
		shadow.png \
		socket.png \
		architecture.png \
		mb_ga_686dlx.png

=== experiments/CDROM.images/Makefile ===
#
# $Id: Makefile,v 1.16 2012-02-14 10:01:46 vrsieh Exp $
#

%-A: %
	ln -sf $< $@

%-B: %
	ln -sf $< $@


CDROM_IMAGES_SRC_DIR:=$(dir $(lastword $(MAKEFILE_LIST)))

# -------
# Caldera
# -------

Caldera-2.4-CD-1: copy_or_link
	./copy_or_link Caldera-2.4/cd-1 $@
distclean::
	rm -f Caldera-2.4-CD-1


# ------
# Debian
# ------

# Debian-3.0r0

Debian-3.0r0-CD-1: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-1_NONUS.iso Debian-3.0r0-CD-1
distclean::
	rm -f Debian-3.0r0-CD-1
Debian-3.0r0-CD-2: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-2.iso Debian-3.0r0-CD-2
distclean::
	rm -f Debian-3.0r0-CD-2
Debian-3.0r0-CD-3: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-3.iso Debian-3.0r0-CD-3
distclean::
	rm -f Debian-3.0r0-CD-3
Debian-3.0r0-CD-4: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-4.iso Debian-3.0r0-CD-4
distclean::
	rm -f Debian-3.0r0-CD-4
Debian-3.0r0-CD-5: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-5.iso Debian-3.0r0-CD-5
distclean::
	rm -f Debian-3.0r0-CD-5

# Debian-3.0r1

Debian-3.0r1-CD-1: copy_or_link
	./copy_or_link Debian-3.0r1/debian-30r1-i386-binary-1_NONUS.iso Debian-3.0r1-CD-1
distclean::
	rm -f Debian-3.0r1-CD-1
Debian-3.0r1-CD-2: copy_or_link
	./copy_or_link Debian-3.0r1/debian-30r1-i386-binary-2.iso Debian-3.0r1-CD-2
distclean::
	rm -f Debian-3.0r1-CD-2

# Debian-3.1r0a

Debian-3.1r0a-CD-1: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-1.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-1
Debian-3.1r0a-amd64-CD-1: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-amd64-binary-1.iso $@
distclean::
	rm -f Debian-3.1r0a-amd64-CD-1
Debian-3.1r0a-CD-2: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-2.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-2
Debian-3.1r0a-amd64-CD-2: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-amd64-binary-2.iso $@
distclean::
	rm -f Debian-3.1r0a-amd64-CD-2
Debian-3.1r0a-CD-3: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-3.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-3
Debian-3.1r0a-CD-4: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-4.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-4
Debian-3.1r0a-CD-5: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-5.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-5
Debian-3.1r0a-CD-6: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-6.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-6
Debian-3.1r0a-CD-7: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-7.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-7
Debian-3.1r0a-CD-8: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-8.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-8

Debian-3.1r0a-x86_64-DVD-1: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-amd64-binary-1.iso $@
distclean::
	rm -f Debian-3.1r0a-x86_64-DVD-1

# Debian-4.0r0

Debian-4.0r0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r0/debian-40r0-i386-DVD-1.iso Debian-4.0r0-i386-DVD-1
distclean::
	rm -f Debian-4.0r0-i386-DVD-1

Debian-4.0r0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r0/debian-40r0-amd64-DVD-1.iso Debian-4.0r0-amd64-DVD-1
distclean::
	rm -f Debian-4.0r0-amd64-DVD-1

Debian-4.0r4a-i386-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-i386-DVD-1.iso Debian-4.0r4a-i386-DVD-1
distclean::
	rm -f Debian-4.0r4a-i386-DVD-1

Debian-4.0r4a-i386-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-i386-DVD-2.iso Debian-4.0r4a-i386-DVD-2
distclean::
	rm -f Debian-4.0r4a-i386-DVD-2

Debian-4.0r4a-i386-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-i386-DVD-3.iso Debian-4.0r4a-i386-DVD-3
distclean::
	rm -f Debian-4.0r4a-i386-DVD-3

Debian-4.0r4a-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-amd64-DVD-1.iso Debian-4.0r4a-amd64-DVD-1
distclean::
	rm -f Debian-4.0r4a-amd64-DVD-1

Debian-4.0r4a-amd64-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-amd64-DVD-2.iso Debian-4.0r4a-amd64-DVD-2
distclean::
	rm -f Debian-4.0r4a-amd64-DVD-2

Debian-4.0r4a-amd64-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-amd64-DVD-3.iso Debian-4.0r4a-amd64-DVD-3
distclean::
	rm -f Debian-4.0r4a-amd64-DVD-3

Debian-4.0r6-i386-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-i386-DVD-1.iso $@
distclean::
	rm -f Debian-4.0r6-i386-DVD-1

Debian-4.0r6-i386-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-i386-DVD-2.iso $@
distclean::
	rm -f Debian-4.0r6-i386-DVD-2

Debian-4.0r6-i386-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-i386-DVD-3.iso $@
distclean::
	rm -f Debian-4.0r6-i386-DVD-3

Debian-4.0r6-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-4.0r6-amd64-DVD-1

Debian-4.0r6-amd64-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-amd64-DVD-2.iso $@
distclean::
	rm -f Debian-4.0r6-amd64-DVD-2

Debian-4.0r6-amd64-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-amd64-DVD-3.iso $@
distclean::
	rm -f Debian-4.0r6-amd64-DVD-3

Debian-5.0r0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-1.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-1

Debian-5.0r0-i386-DVD-2: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-2.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-2

Debian-5.0r0-i386-DVD-3: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-3.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-3

Debian-5.0r0-i386-DVD-4: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-4.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-4

Debian-5.0r0-i386-DVD-5: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-5.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-5

Debian-5.0r0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-1

Debian-5.0r0-amd64-DVD-2: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-2.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-2

Debian-5.0r0-amd64-DVD-3: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-3.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-3

Debian-5.0r0-amd64-DVD-4: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-4.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-4

Debian-5.0r0-amd64-DVD-5: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-5.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-5

# -----------
# Fedora Core
# -----------

# FedoraCore-3
FedoraCore-3-DVD-1: copy_or_link
	./copy_or_link FedoraCore-3/FC3-i386-DVD.iso FedoraCore-3-DVD-1
distclean::
	rm -f FedoraCore-3-DVD-1

# FedoraCore-4
FedoraCore-4-DVD-1: copy_or_link
	./copy_or_link FedoraCore-4/FC4-i386-DVD.iso FedoraCore-4-DVD-1
distclean::
	rm -f FedoraCore-4-DVD-1

# FedoraCore-5
FedoraCore-5-DVD-1: copy_or_link
	./copy_or_link FedoraCore-5/FC-5-i386-DVD.iso FedoraCore-5-DVD-1
distclean::
	rm -f FedoraCore-5-DVD-1

Fedora-9-i386-DVD: copy_or_link
	./copy_or_link Fedora-9/Fedora-9-i386-DVD.iso Fedora-9-i386-DVD
distclean::
	rm -f Fedora-9-i386-DVD

Fedora-9-x86_64-DVD: copy_or_link
	./copy_or_link Fedora-9/Fedora-9-x86_64-DVD.iso Fedora-9-x86_64-DVD
distclean::
	rm -f Fedora-9-x86_64-DVD

Fedora-10-i386-DVD: copy_or_link
	./copy_or_link Fedora-10/Fedora-10-i386-DVD.iso Fedora-10-i386-DVD
distclean::
	rm -f Fedora-10-i386-DVD

Fedora-10-x86_64-DVD: copy_or_link
	./copy_or_link Fedora-10/Fedora-10-x86_64-DVD.iso Fedora-10-x86_64-DVD
distclean::
	rm -f Fedora-10-x86_64-DVD

# -------
# FreeBSD
# -------

FreeBSD-7.0-i386-CD1: copy_or_link
	./copy_or_link FreeBSD-7.0-RELEASE/7.0-RELEASE-i386-disc1.iso $@
distclean::
	rm -f FreeBSD-7.0-i386-CD1

FreeBSD-7.0-amd64-CD1: copy_or_link
	./copy_or_link FreeBSD-7.0-RELEASE/7.0-RELEASE-amd64-disc1.iso $@
distclean::
	rm -f FreeBSD-7.0-amd64-CD1

FreeBSD-7.2-i386-DVD: copy_or_link
	./copy_or_link FreeBSD-7.2-RELEASE/7.2-RELEASE-i386-dvd1.iso $@
distclean::
	rm -f FreeBSD-7.2-i386-DVD

FreeBSD-7.2-amd64-DVD: copy_or_link
	./copy_or_link FreeBSD-7.2-RELEASE/7.2-RELEASE-amd64-dvd1.iso $@
distclean::
	rm -f FreeBSD-7.2-amd64-DVD

# -------
# FreeDOS
# -------

FreeDOS-Beta8: copy_or_link
	./copy_or_link FreeDOS-Beta8/cd-1 FreeDOS-Beta8
distclean::
	rm -f FreeDOS-Beta8

FreeDOS-1.0-CD: copy_or_link
	./copy_or_link FreeDOS-1.0/fdfullcd.iso FreeDOS-1.0-CD
distclean::
	rm -f FreeDOS-1.0-CD
	
# -----
# Minix
# -----

Minix3-1.2a-CD: copy_or_link
	./copy_or_link Minix3-1.2a/minix3_1_2a_ide_build2.iso $@
distclean::
	rm -f Minix3-1.2a-CD

# -----
# MSDOS
# -----

MSDOS-6.2-DSK-1: copy_or_link
	./copy_or_link MSDOS/dos-6.2-1.dsk $@
distclean::
	rm -f MSDOS-6.2-DSK-1

MSDOS-6.2-DSK-2: copy_or_link
	./copy_or_link MSDOS/dos-6.2-2.dsk $@
distclean::
	rm -f MSDOS-6.2-DSK-2

MSDOS-6.2-DSK-3: copy_or_link
	./copy_or_link MSDOS/dos-6.2-3.dsk $@
distclean::
	rm -f MSDOS-6.2-DSK-3

# ------------
# Windows 3.10
# ------------

Windows-3.10-DSK-1: copy_or_link
	./copy_or_link MSDOS/win-3.10-1.dsk $@
distclean::
	rm -f Windows-3.10-DSK-1

Windows-3.10-DSK-2: copy_or_link
	./copy_or_link MSDOS/win-3.10-2.dsk $@
distclean::
	rm -f Windows-3.10-DSK-2

Windows-3.10-DSK-3: copy_or_link
	./copy_or_link MSDOS/win-3.10-3.dsk $@
distclean::
	rm -f Windows-3.10-DSK-3

Windows-3.10-DSK-4: copy_or_link
	./copy_or_link MSDOS/win-3.10-4.dsk $@
distclean::
	rm -f Windows-3.10-DSK-4

Windows-3.10-DSK-5: copy_or_link
	./copy_or_link MSDOS/win-3.10-5.dsk $@
distclean::
	rm -f Windows-3.10-DSK-5

Windows-3.10-DSK-6: copy_or_link
	./copy_or_link MSDOS/win-3.10-6.dsk $@
distclean::
	rm -f Windows-3.10-DSK-6

Windows-3.10-DSK-7: copy_or_link
	./copy_or_link MSDOS/win-3.10-7.dsk $@
distclean::
	rm -f Windows-3.10-DSK-7

# ----
# OS/2
# ----

OS2-3.0-DSK-0: copy_or_link
	./copy_or_link OS2-3.0/disk0.dsk $@
distclean::
	rm -f OS2-3.0-DSK-0

OS2-3.0-DSK-1: copy_or_link
	./copy_or_link OS2-3.0/disk1_cd.org $@
distclean::
	rm -f OS2-3.0-DSK-1

OS2-3.0-CD: copy_or_link
	./copy_or_link OS2-3.0/cd.iso $@
distclean::
	rm -f OS2-3.0-CD

# -------
# Knoppix
# -------

Knoppix-4.0.2-CD: copy_or_link
	./copy_or_link Knoppix-4.0.2/KNOPPIX_V4.0.2CD-2005-09-23-EN.iso Knoppix-4.0.2-CD
distclean::
	rm -f Knoppix-4.0.2-CD

Knoppix-5.3.1-DVD: copy_or_link
	./copy_or_link Knoppix-5.3.1/KNOPPIX_V5.3.1DVD-2008-03-26-EN.iso Knoppix-5.3.1-DVD
distclean::
	rm -f Knoppix-5.3.1-DVD

# ------
# NetBSD
# ------

NetBSD-2.0.2-CD-1: copy_or_link
	./copy_or_link NetBSD-2.0.2/i386cd.iso $@
distclean::
	rm -f NetBSD-2.0.2-CD-1

NetBSD-4.0.1-i386-CD: copy_or_link
	./copy_or_link NetBSD-4.0.1/i386cd-4.0.1.iso $@
distclean::
	rm -f NetBSD-4.0.1-i386-CD

NetBSD-4.0.1-amd64-CD: copy_or_link
	./copy_or_link NetBSD-4.0.1/amd64cd-4.0.1.iso $@
distclean::
	rm -f NetBSD-4.0.1-amd64-CD

NetBSD-5.0-i386-CD: copy_or_link
	./copy_or_link NetBSD-5.0/i386cd-5.0.iso $@
distclean::
	rm -f NetBSD-5.0-i386-CD

NetBSD-5.0-amd64-CD: copy_or_link
	./copy_or_link NetBSD-5.0/amd64cd-5.0.iso $@
distclean::
	rm -f NetBSD-5.0-amd64-CD

# ------
# RedHat
# ------

RedHat-8.0-CD-1: copy_or_link
	./copy_or_link RedHat-8.0/psyche-i386-disc1.iso RedHat-8.0-CD-1
distclean::
	rm -f RedHat-8.0-CD-1
RedHat-8.0-CD-2: copy_or_link
	./copy_or_link RedHat-8.0/psyche-i386-disc2.iso RedHat-8.0-CD-2
distclean::
	rm -f RedHat-8.0-CD-2
RedHat-8.0-CD-3: copy_or_link
	./copy_or_link RedHat-8.0/psyche-i386-disc3.iso RedHat-8.0-CD-3
distclean::
	rm -f RedHat-8.0-CD-3

RedHat-9-CD-1: copy_or_link
	./copy_or_link RedHat-9/shrike-i386-disc1.iso RedHat-9-CD-1
distclean::
	rm -f RedHat-9-CD-1
RedHat-9-CD-2: copy_or_link
	./copy_or_link RedHat-9/shrike-i386-disc2.iso RedHat-9-CD-2
distclean::
	rm -f RedHat-9-CD-2
RedHat-9-CD-3: copy_or_link
	./copy_or_link RedHat-9/shrike-i386-disc3.iso RedHat-9-CD-3
distclean::
	rm -f RedHat-9-CD-3

# -------
# Solaris
# -------

Solaris-7-CD: copy_or_link
	./copy_or_link Solaris-7/sol_7_399_x86.iso $@

=== experiments/UltimateBootCD-3.2-full/Makefile ===
#
# $Id: Makefile,v 1.4 2009-10-12 06:19:19 vrsieh Exp $
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := ubcd32-full.iso \
		Caldera-2.4-CD-1
CHANGE_DISK_SIZE := 128
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd32-%: $(EXP_DIR)/generate.dir/ubcd32-%
	ln -sf $(EXP_DIR)/generate.dir/ubcd32-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/UltimateBootCD-3.4-full/Makefile ===
#
# $Id: Makefile,v 1.2 2009-11-06 07:51:11 vrsieh Exp $
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := UltimateBootCD-3.4-full
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd34-%: $(EXP_DIR)/generate.dir/ubcd34-%
	ln -sf $(EXP_DIR)/generate.dir/ubcd34-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/UltimateBootCD-4.1.1/Makefile ===
#
# $Id: Makefile,v 1.2 2009-11-06 07:51:17 vrsieh Exp $
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := UltimateBootCD-4.1.1
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd411-%: $(EXP_DIR)/generate.dir/ubcd411-%
	if [ -d generate ]; then \
		echo "Please remove the stale generate directory"; \
		echo "E.g. by cvs -q up -PdA"; \
		echo "Bailing out."; \
		false; \
	fi
	ln -sf $(EXP_DIR)/generate.dir/ubcd411-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/UltimateBootCD/Makefile ===
#
# $Id: Makefile,v 1.3 2009-10-09 20:00:44 vrsieh Exp $
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := ubcd231.iso
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd-%: $(EXP_DIR)/generate.dir/ubcd-%
	if [ -d generate ]; then \
		echo "Please remove the stale generate directory"; \
		echo "E.g. by cvs -q up -PdA"; \
		echo "Bailing out."; \
		false; \
	fi
	ln -sf $(EXP_DIR)/generate.dir/ubcd-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/install-Debian-3.0r0-new/Makefile ===
#
# $Id: Makefile,v 1.2 2009-11-06 07:51:17 vrsieh Exp $
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := Debian-3.0r0-CD-1

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

=== experiments/install-Debian-3.0r0-vt102/Makefile ===
#
# $Id: Makefile,v 1.3 2009-10-05 15:09:55 vrsieh Exp $
#

SIMULATION_PC := pc-1.vhdl
ADDITIONAL_VHDL := vt102.vhdl
CDROM_IMAGE := Debian-3.0r0-CD-1
ADDITIONAL_USER_VHDL := 01generate.vhdl 02generate.vhdl

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

01generate.vhdl: $(EXP_DIR)/01generate $(FAUM_GEN_VHDL)
	$(FAUM_GEN_VHDL) $< \
		| sed -e 's/power_switch/term_power_switch/g' \
		| sed -e 's/key,/term_key,/g' \
		| sed -e 's/int_asc_text0/t0_int_asc_text0/g' \
		| sed -e 's/screen_shot/term_screen_shot/g' \
		> $@

02generate.vhdl: $(EXP_DIR)/02generate $(FAUM_GEN_VHDL)
	$(FAUM_GEN_VHDL) $< > $@

clean distclean::
	$(RM) 01generate.vhdl
	$(RM) 02generate.vhdl

=== experiments/install-Debian-3.0r0/Makefile ===
#
# $Id: Makefile,v 1.2 2009-10-12 09:18:49 vrsieh Exp $
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := Debian-3.0r0-CD-1

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

=== experiments/install-Debian-3.1r0a-pc-amd64-pci/Makefile ===
#
# $Id: Makefile,v 1.2 2009-11-06 07:51:17 vrsieh Exp $
#

SIMULATION_PC := pc-amd64-pci.vhdl
CDROM_IMAGE := Debian-3.1r0a-amd64-CD-1 \
		Debian-3.1r0a-amd64-CD-2

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

## faumachine 20160511

=== doc/DesignNotes/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.9 2009-11-02 11:46:50 vrsieh Exp $
+# $Id: Makefile,v 1.8 2009-10-30 13:57:51 vrsieh Exp $
 #
 # Copyright (C) 2002-2009 FAUmachine Team <info@faumachine.org>.
 # This program is free software. You can redistribute it and/or modify it

=== experiments/CDROM.images/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.16 2012-02-14 10:01:46 vrsieh Exp $
+# $Id: Makefile,v 1.23 2013/05/21 09:45:41 vrsieh Exp $
 #
 
 %-A: %
@@ -179,6 +179,8 @@
 distclean::
 	rm -f Debian-4.0r6-amd64-DVD-3
 
+# Debian-5.0r0
+
 Debian-5.0r0-i386-DVD-1: copy_or_link
 	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-1.iso $@
 distclean::
@@ -228,6 +230,30 @@
 	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-5.iso $@
 distclean::
 	rm -f Debian-5.0r0-amd64-DVD-5
+
+# Debian-6.0r0
+
+Debian-6.0r0-i386-DVD-1: copy_or_link
+	./copy_or_link Debian-6.0/debian-6.0.7-i386-DVD-1.iso $@
+distclean::
+	rm -f Debian-6.0r0-i386-DVD-1
+
+Debian-6.0r0-amd64-DVD-1: copy_or_link
+	./copy_or_link Debian-6.0/debian-6.0.7-amd64-DVD-1.iso $@
+distclean::
+	rm -f Debian-6.0r0-amd64-DVD-1
+
+# Debian-7.0r0
+
+Debian-7.0r0-i386-DVD-1: copy_or_link
+	./copy_or_link Debian-7.0/debian-7.0.0-i386-DVD-1.iso $@
+distclean::
+	rm -f Debian-7.0r0-i386-DVD-1
+
+Debian-7.0r0-amd64-DVD-1: copy_or_link
+	./copy_or_link Debian-7.0/debian-7.0.0-amd64-DVD-1.iso $@
+distclean::
+	rm -f Debian-7.0r0-amd64-DVD-1
 
 # -----------
 # Fedora Core
@@ -308,6 +334,11 @@
 	./copy_or_link FreeDOS-1.0/fdfullcd.iso FreeDOS-1.0-CD
 distclean::
 	rm -f FreeDOS-1.0-CD
+
+FreeDOS-1.1-CD: copy_or_link
+	./copy_or_link FreeDOS-1.1/fd11src.iso FreeDOS-1.1-CD
+distclean::
+	rm -f FreeDOS-1.1-CD
 	
 # -----
 # Minix
@@ -446,31 +477,3 @@
 	./copy_or_link RedHat-8.0/psyche-i386-disc1.iso RedHat-8.0-CD-1
 distclean::
 	rm -f RedHat-8.0-CD-1
-RedHat-8.0-CD-2: copy_or_link
-	./copy_or_link RedHat-8.0/psyche-i386-disc2.iso RedHat-8.0-CD-2
-distclean::
-	rm -f RedHat-8.0-CD-2
-RedHat-8.0-CD-3: copy_or_link
-	./copy_or_link RedHat-8.0/psyche-i386-disc3.iso RedHat-8.0-CD-3
-distclean::
-	rm -f RedHat-8.0-CD-3
-
-RedHat-9-CD-1: copy_or_link
-	./copy_or_link RedHat-9/shrike-i386-disc1.iso RedHat-9-CD-1
-distclean::
-	rm -f RedHat-9-CD-1
-RedHat-9-CD-2: copy_or_link
-	./copy_or_link RedHat-9/shrike-i386-disc2.iso RedHat-9-CD-2
-distclean::
-	rm -f RedHat-9-CD-2
-RedHat-9-CD-3: copy_or_link
-	./copy_or_link RedHat-9/shrike-i386-disc3.iso RedHat-9-CD-3
-distclean::
-	rm -f RedHat-9-CD-3
-
-# -------
-# Solaris
-# -------
-
-Solaris-7-CD: copy_or_link
-	./copy_or_link Solaris-7/sol_7_399_x86.iso $@

=== experiments/UltimateBootCD-3.2-full/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.4 2009-10-12 06:19:19 vrsieh Exp $
+# $Id: Makefile,v 1.3 2009-03-20 15:28:17 vrsieh Exp $
 #
 # Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
 # This program is free software. You can redistribute it and/or modify it

=== experiments/UltimateBootCD-3.4-full/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.2 2009-11-06 07:51:11 vrsieh Exp $
+# $Id: Makefile,v 1.1 2009-02-17 14:26:56 potyra Exp $
 #
 
 SIMULATION_PC := pc-1.vhdl

=== experiments/UltimateBootCD-4.1.1/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.2 2009-11-06 07:51:17 vrsieh Exp $
+# $Id: Makefile,v 1.1 2009-03-16 20:41:39 vrsieh Exp $
 #
 # Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
 # This program is free software. You can redistribute it and/or modify it

=== experiments/UltimateBootCD/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.3 2009-10-09 20:00:44 vrsieh Exp $
+# $Id: Makefile,v 1.2 2009-03-06 20:44:00 vrsieh Exp $
 #
 # Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
 # This program is free software. You can redistribute it and/or modify it

=== experiments/install-Debian-3.0r0-new/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.2 2009-11-06 07:51:17 vrsieh Exp $
+# $Id: Makefile,v 1.1 2009-02-16 10:58:41 potyra Exp $
 #
 
 SIMULATION_PC := pc-1.vhdl

=== experiments/install-Debian-3.0r0-vt102/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.3 2009-10-05 15:09:55 vrsieh Exp $
+# $Id: Makefile,v 1.2 2009-02-19 10:46:16 potyra Exp $
 #
 
 SIMULATION_PC := pc-1.vhdl

=== experiments/install-Debian-3.0r0/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.2 2009-10-12 09:18:49 vrsieh Exp $
+# $Id: Makefile,v 1.1 2009-02-13 17:32:11 potyra Exp $
 #
 
 SIMULATION_PC := pc-1.vhdl

=== experiments/install-Debian-3.1r0a-pc-amd64-pci/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.2 2009-11-06 07:51:17 vrsieh Exp $
+# $Id: Makefile,v 1.1 2009-02-16 10:46:56 potyra Exp $
 #
 
 SIMULATION_PC := pc-amd64-pci.vhdl

=== experiments/install-Debian-3.1r0a-pc-i386-isa/Makefile ===
#
# $Id: Makefile,v 1.2 2009-11-06 07:51:17 vrsieh Exp $
#

SIMULATION_PC := pc-i386-isa.vhdl
CDROM_IMAGE := \
	Debian-3.1r0a-CD-1 \
	Debian-3.1r0a-CD-2 \
	Debian-3.1r0a-CD-3 \
	Debian-3.1r0a-CD-4 \
	Debian-3.1r0a-CD-5 \
	Debian-3.1r0a-CD-6 \
	Debian-3.1r0a-CD-7 \
	Debian-3.1r0a-CD-8

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

=== experiments/install-Debian-3.1r0a/Makefile ===
#
# $Id: Makefile,v 1.1 2009-02-18 16:06:13 potyra Exp $
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := \
	Debian-3.1r0a-CD-1 \
	Debian-3.1r0a-CD-2 \
	Debian-3.1r0a-CD-3 \
	Debian-3.1r0a-CD-4 \
	Debian-3.1r0a-CD-5 \
	Debian-3.1r0a-CD-6 \
	Debian-3.1r0a-CD-7 \
	Debian-3.1r0a-CD-8

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

=== debian/changelog ===
faumachine (20160511-1) unstable; urgency=medium

  * New upstream release, highlights:
    + Builds with newer gcc versions (Closes: #746843, #821874)
    + Correct placement of config.h includes (Closes: #749633)
    + Many other improvements.
  * All patches have been incorporated upstream:
    + debian/patches: Removed
    + debian/control: Remove patch-stamp, unpatch targets.
  * Switch to new debian source format:
    + debian/source/format -> 3.0 (quilt), no further changes required.
  * debian/control:
    + Remove obsolete DM-Upload-Allowed.
    + Packaging complies to Standards-Version 3.9.8 with the other
      changes done.
    + Remove Homepage field, since the current homepage is only
      temporary.
      This release was downloaded from
      <http://potyra.de/FAUmachine/releases/faumachine-20160511.tar.xz>,
      You can find old releases, contacts and more information at:
      <https://www3.informatik.uni-erlangen.de/Research/FAUmachine/>
    + Comment-out Built-Using field, since dpkg no longer seems to support
      it.
    + Update maintainer address.
  * debian/watch: Removed, since the current homepage is only temporary. 
  * debian/faumachine.docs: Remove STATE and AUTHORS (files no longer
    present).
  * debian/faumachine.menu: Removed, obsoleted in favor of the
    desktop file.
  * debian/rules: Remove dh_installmenu.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Thu, 26 May 2016 18:20:53 +0200

faumachine (20120707-3) unstable; urgency=low

  * Use absolute path in desktop file and faum-script:
    + debian/patches/absolute_path.patch (Closes: #727095).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 27 Oct 2013 14:57:25 +0100

faumachine (20120707-2) unstable; urgency=low

  * debian/rules: Add minimalistic patch system.
  * debian/patches/mayhem.patch: Add backported patch from upstream
    to fix mayhem bug reports (Volkmar Sieh). Closes: #715889, #715890.
  * debian/control:
    + Update Standards-Version to 3.9.4.
    + Declare Built-Using on libfauhdli-dev (statically linked).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 12 Jul 2013 21:02:38 +0200

faumachine (20120707-1) unstable; urgency=low

  * Acknowledge NMUs: Thanks a lot!
  * New upstream release, highlights:
    + Fix build failures with gcc-4.7 (See DBTS: #667162).
    + New camera component.
    + Suspend/Resume functionality for interactive use.
    + As always: Many code cleanups and bug fixes.
  * debian/control:
    + No longer force gcc-4.6.
    + Update standards-version to 3.9.3 (no changes necessary).
    + Force newer FAUcc, since the BIOS build system has been extended
      to make use of the new capabilities.
  * debian/rules:
    + add build-arch/build-indep rules.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 07 Jul 2012 22:03:09 +0200

faumachine (20110812-1.2) unstable; urgency=low

  * Fix the workaround from the previous NMU on i386 (Closes: #678415)

 -- Adam Conrad <adconrad@debian.org>  Thu, 21 Jun 2012 11:11:39 -0600

faumachine (20110812-1.1) unstable; urgency=low

  * Work around build failure with GCC 4.7. Closes: #667162.

 -- Matthias Klose <doko@debian.org>  Mon, 28 May 2012 09:52:10 +0000

faumachine (20110812-1) unstable; urgency=low

  * New upstream release, highlights:
    + Fix build failure with binutils-gold (Closes: #618074).
    + Add camera component.
    + Support 64-bit mainboard.
    + New handling of virtual media.
    + And many other bugfixes and improvements.
  * debian/rules: Drop patch logic, no longer needed.
  * debian/patches/*, debian/README.source: removed, all upstream.
  * debian/control: 
    + update standards-version to 3.9.2, no changes needed.
    + drop build-dependency on etherboot (Closes: #634041). The code
      that made use of the copied ROM file has been gone for a while.
    + tighten build-dependency against libfauhdli-dev and dependency
      against fauhdlc to accommodate the changed ABI of the intermediate
      code.
    + change section to misc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 12 Aug 2011 23:12:57 +0200

faumachine (20100527-2) unstable; urgency=medium

  * Cherry-pick debian/patches/fix_dsdt.patch from cvs to fix 
    FTBFS (Closes: #591142).
  * debian/rules: Add minimal patch system. Should go away again with
    next upload.
  * Drop Conflicts/Replaces of the -data package against the faumachine
    package: There never was a file conflict in the first place, since
    the ROMs used to live in /usr/lib and were moved to /usr/share.
  * Update Standards-Version to 3.9.1 (only change needed is the one 
    mentioned above).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 01 Aug 2010 16:24:38 +0200

faumachine (20100527-1) unstable; urgency=low

  * New upstream bugfix version: Fix bashism in configure.ac
    (Closes: #582986).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Thu, 27 May 2010 11:07:40 +0200

faumachine (20100421-1) unstable; urgency=low

  * New upstream bugfix version: Fix BIOS problems with newer gcc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed, 21 Apr 2010 13:04:01 +0200

faumachine (20100324-1) unstable; urgency=low

  * New upstream version, highlights:
    + many cleanups and bug fixes.
    + fix build failure with gcc-4.5 prerelease (Closes: #564985).
  * debian/control: 
    + Bump standards-version.
    + Update build-dependency to match new libfauhdli-dev 
      version. Update dependency of faumachine against fauhdlc to newer
      version.
    + add ${misc:Depends} to faumachine-data.
    + Update operator for Conflicts/Replaces relationship.
  * debian/source/format: explicitly select 1.0.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed, 24 Mar 2010 11:48:13 +0100

faumachine (20091119-1) unstable; urgency=low

  * New upstream version, highlights:
    + Support multilevel cow files.
    + Allow fault injection for CD.
    + New media handling for CDs, DVDs and floppies.
    + Properly invalidate code chaches on DMA access.
    + Improve fault injection dialog.


=== debian/control ===
Source: faumachine
Section: misc
Priority: optional
Maintainer: FAUmachine Team <faumachine@potyra.de>
Uploaders: Volkmar Sieh <volkmar.sieh@informatik.uni-erlangen.de>,
 Stefan Potyra <sistpoty@ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: libx11-dev, 
 debhelper (>> 5.0),
 flex,
 bison,
 fig2ps,
 imagemagick,
 libasound2-dev,
 libesd0-dev,
 libgtk2.0-dev,
 libpulse-dev,
 libtheora-dev,
 xmlto, 
 automake (>= 1.10),
 gcc-multilib [amd64] | libc6-dev-i386 [amd64],
 iasl,
 libfauhdli-dev (>= 20110812),
 faucc (>= 20160511),
 python
#Built-Using: libfauhdli-dev

Package: faumachine
Architecture: i386 amd64 lpia
Depends: ${shlibs:Depends},
 ${misc:Depends}, 
 faumachine-data (= ${source:Version}),
 zenity, 
 fauhdlc (>= 20110812)
Recommends: slirp
Description: Virtual machine running in user mode
 FAUmachine is a virtual machine that can simulate PC hardware like QEMU.
 Its main focus is to simulate the real hardware as close as possible.
 .
 FAUmachine comes with the ability to inject faults to different hardware 
 simulators, e.g. to inject intermittent or transient faults to the simulated
 disk or the simulated memory.
 .
 FAUmachine also comes with an experiment controller, with which automated 
 tests, like installing an operating system from an iso image, can be run.

Package: faumachine-data
Architecture: all
Depends: ${misc:Depends}
Recommends: faumachine
Description: Virtual machine running in user mode -- data files
 FAUmachine is a virtual machine that can simulate PC hardware like QEMU.
 Its main focus is to simulate the real hardware as close as possible.
 .
 FAUmachine comes with the ability to inject faults to different hardware 
 simulators, e.g. to inject intermittent or transient faults to the simulated
 disk or the simulated memory.
 .
 FAUmachine also comes with an experiment controller, with which automated 
 tests, like installing an operating system from an iso image, can be run.
 .
 This package contains the architecture independent data files.
